# invalid_argument Class Reference

Inheritance diagram for invalid_argument:

List of all members.

## Detailed Description

Thrown to report invalid arguments to functions.

Definition at line 80 of file stdexcept.

## Public Member Functions

- invalid_argument (const string &__arg)
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from exception.

The documentation for this class was generated from the following file:

- stdexcept